if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/bin ; rm -rf rstudio )
( cd usr/bin ; ln -sf ../lib/rstudio/bin/rstudio rstudio )
( cd usr/lib/rstudio/bin/pandoc ; rm -rf pandoc )
( cd usr/lib/rstudio/bin/pandoc ; ln -sf ../../../../../../../../../../../opt/pandoc-bin/pandoc pandoc )
( cd usr/lib/rstudio/resources ; rm -rf dictionaries )
( cd usr/lib/rstudio/resources ; ln -sf ../../../../../../../../../share/myspell/dicts dictionaries )
( cd usr/lib/rstudio/resources ; rm -rf mathjax-27 )
( cd usr/lib/rstudio/resources ; ln -sf ../../../../../../../../../share/mathjax2 mathjax-27 )
